
/*
	CSS Syntax

	To be able to properly style elements with CSS, we use our CSS Rule Set:

	selector {
		property: value;
	}	


*/
/*universal selector - this allows us to select ALL elements*/
* {
	/*
		font-family property changes the font of our text
			font-family: "Font Name", fallbackfont;
				-fallback font is the backup in the event that the font does not load or is not able to be loaded.
				-fallback font allows CSS to find a similar font with your main font. 
				-value of fallback font is usually the family of the main font
		font-size property allows us to change the size of the text.
			-default font size is 16px.
	*/

	font-family: "Courier New", monospace;
	font-size: 20px;
}
/*type selector - allows us to select all elements with the same type/tag.*/
h1 {
	/*
		color property allows us to change the color of the element's text.
		text-align allows us to change the alignment of our text.

		rem is a measurement in CSS which means num x the default size of the root element's font.

		2rem = 2 x root element font size

		what is the font size of the root element (html)? 20px because of universal selector

		2rem = 2 x 20px

		2rem = 40px 

	*/
	color: black !important;
	text-align: center;
	font-size: 2rem;
}

/*ID selector is represented in CSS with #*/
/*
	#idName {
		property: value;
	}
*/
#zuitt-motto {
	/*letter-spacing allows us to add spacing between characters in text.*/
	letter-spacing: 5px;
}

/*Class selector is represented in CSS with .*/
/*
	.className {
		property: value;
	}

*/

/*li {
	font-size: 30px;
}*/

.offering-item {
	/*text-transform allows us to change the case of an element's text*/
	/*uppercase value allows us to change the case of the element to uppercase.*/
	text-transform: uppercase;
	/*font-size: 50px;*/
}

/*#day-class {
	font-size: 100px !important;
}*/

/*
	Specificity of Selectors
	id > class > attribute > type > universal(*)

	Specificity of Implementation:
	Inline > Internal > External
	
	!important keyword allows us to override the specificity for a declaration.

	The most specific declaration is when the declaration is in an id selector and with !important.
	
	Sample:
	
	<li class="offering-item" id="day-class" style="font-size: 5px;">Day Classes</li>

*/

/*Attribute Selector - allows us to select elements with the same tag AND attribute*/
/*
	tag[attribute] {
		property: value;
	}
*/
input[required] {
	/*
		border-width allows us to set the size of an element's border.
		border-style allows us to set the style of the border.
		border-color allows us to set the color of our border.
	*/
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	/*
		% percentage is also a form measurement in CSS. % percentage when used on width property represents a percentage of the parent's width

		The input's width is now 90% of the parent's width.
	*/
	width: 90%;
}

/*input {
	border-width: 4px;
	border-style: solid;
	border-color: green;
}

.fname-input {
	border-width: 6px;
	border-style: solid;
	border-color: red;
}

#first-name {
	border-width: 10px;
	border-style: solid;
	border-color: yellow;
}*/

/*
	Adjacent Sibling Selector Combinator
		-allows us to select the sibling directly after the first selector

		firstSelector + adjacentSibling {
			property: value;
		}
*/

#zuitt-motto + img {
	/*
		height and width properties allows us to resize an element based on the values provided as height or width.
			-The difference between height and width html attribute and height and width CSS property is that height and width in CSS is more flexible and can use other measurements than pixels

		border-radius allows us to round out the corners of an element.

	*/
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*
	General Sibling Selector - allows us to select the element/s that are siblings that come after our first element.
	
	firstSelector ~ generalSibling {
		property: value;
	}
*/

h2 ~ a {
	/*text-decoration: none; allows us to remove the text decoration from our element.*/
	text-decoration: none;
}
/*
	Descendant Selector - allows us to select the elements that are descendants of our first element/selector

	firstSelector descendant {
		property: value;
	}

*/
#bootcamp-learning-list li {
	/*the color chosen used hex decimal. IT is a alphanumeric combination which allows us to select a more particular color.*/
	color: #075966;
}

nav {
	/*
		background-color allows us to change the background color of an element.

		display: flex; lets use the flexbox.

		Flexbox allows us to manipulate the layout of an element's children.
		By default, adding display: flex; arranges an element's children into a row.

		By default, justify-content allows children of an element with flex to be able to change their horizontal alignment.

		justify-content: space-between; allows us to automatically add the remaining space in a parent between it children

		We cannot use justify-content without display: flex;

	*/
	background-color: white;
	display: flex;
	justify-content: space-between;

}

nav a {
	text-decoration: none;
}

/*
	CSS Child Selector - allows to select the child/children of the first selector or element.

	firstSelector > child {
		property: value;
	}
*/
section > form > label {
	/*rgb() is a value for color. RGB refer to red,green and blue values. The minimum value is 0 and maximum is 255. By creating or add the appropriate amount of rgb values, you can come up to a more specific color.*/
	color: rgb(0,0,128);

}

body {
	background-color: skyblue;
}
/*selector:hover pseudo class*/
/*We are able to change the style of an element when hovered over.*/
a:hover {
	background-color: #b4d6de;
}

section	{
	/*
		vh is a measurement in CSS. It is a percentage of the total height of the viewport. 
		
		vh = viewport height

		100vh =  100% of our viewport's height

		The viewport is the overall space you can view your page in.

	*/
	height: 100vh;
	text-align: center;
}

form {
	/*vw - viewport width, It is measurement based on a percentage of the width of your viewport.*/
	background-color: white;
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	/*center the children of our form with flex horizontally.*/
	display: flex;
	flex-direction: column;
	align-items: center;
}

#register {
	/*text align only centers the text and inline elements. But actual block elements are not centered.*/
	display: flex;
	/*
		flex-direction: column; allows us to arrange the children of a flex parent into a column.

		IF we use flex-direction: column; on a flex parent (an element that has display: flex):
			justify-content is now used for vertical alignment.
			align-items is now used for horizontal alignment.

	*/
	flex-direction: column;
	align-items: center;
}

h2 {
	font-size: 1.5rem;
}

ol {
	/*list-style-type property allows us to change the list style of our li in a list.*/
	list-style-type: none;
}

button {
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}
